TYPOS3.Flow - Task # 6600

Status: Resolved Priority: Must have
Author: Andreas Foérthner Category: Security
Created: 2010-02-25 Assigned To: Andreas Foérthner
Updated: 2010-10-20 Due date:

Sprint:

PHP Version:

Has patch:

Complexity:

Subject: Remove the privilege concept vom ACLs

Description

ACL entries will simply define the access privilege by defining a GRANT or DENY for a resource. Example Policy.yaml entry:

acls:
Speaker:
UpdateOwnPaper: GRANT
ownAccount: GRANT
deleteAccount: DENY

The policy service should then provide two API methods: hasAccessOnJoinPoint() and hasAccessOnResource()

Related issues:
related to TYPOS3.Flow - Major Feature # 5659: Implement content security Resolved 2009-12-07

Associated revisions

Revision a8cc2883 - 2010-02-28 00:21 - Andreas Forthner

[+FEATURE] FLOWS (Security): Implemented runtime evaluations support for policy resources. Resolves #6599, relates to #5659
[~TASK] FLOWS3 (Security): Removed the old privileges concept. Now there is only one (implicit) access privilege. Resolves #6600, relates to #5659

History

#1 - 2010-02-25 18:51 - Andreas Foérthner

- Status changed from New to Accepted

#2 - 2010-02-28 01:00 - Andreas Forthner
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3881.
